### execution::context_t

A property that is used to obtain the execution context that is associated with an executor.

    struct context_t

##### Types

Name | Description
--- | ---
polymorphic_query_result_type | The type returned by queries against an any_executor.

##### Data Members

Name | Description
--- | ---
is_applicable_property_v [static] | The context_t property applies to executors.
is_preferable [static] | The context_t property cannot be preferred.
is_requirable [static] | The context_t property cannot be required.

##### Requirements

Header: `asio/execution/context.hpp`

Convenience header: `asio/execution.hpp`